Upgrade the sandbox-api
curl --request POST \
--url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/upgrade \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseUrl": "https://github.com/blaxel-ai/sandbox/releases",
"version": "develop"
}
'import requests
url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/upgrade"
payload = {
"baseUrl": "https://github.com/blaxel-ai/sandbox/releases",
"version": "develop"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({baseUrl: 'https://github.com/blaxel-ai/sandbox/releases', version: 'develop'})
};
fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "File created successfully",
"path": "/path/to/file"
}{
"error": "Error message"
}system
Upgrade the sandbox-api
Triggers an upgrade of the sandbox-api process. Returns 200 immediately before upgrading. The upgrade will: download the specified binary from GitHub releases, validate it, and restart. All running processes will be preserved across the upgrade. Available versions: “develop” (default), “main”, “latest”, or specific tag like “v1.0.0” You can also specify a custom baseUrl for forks (defaults to https://github.com/blaxel-ai/sandbox/releases)
POST
/
upgrade
Upgrade the sandbox-api
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Upgrade options
Last modified on May 28, 2026
Was this page helpful?
⌘I
